Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui
Class AuthorizationBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.AuthorizationBean

Direct Known Subclasses:
  InstanceManagerBean.InstanceAuthorizationBean, PortalObjectManagerBean.PortalObjectAuthorizationBean

    public abstract class AuthorizationBean

extends java.lang.Object

Version:
  $Revision: 8785 $
Author:
  Julien Viet

Constructor Summary
`AuthorizationBean()`

Method Summary
`abstract java.lang.String` | `cancel()`
`java.lang.String[]` | `getActionsForRole(java.lang.String roleName)`
`abstract javax.faces.model.SelectItem[]` | `getAvailableActions()`
`abstract DomainConfigurator` | `getDomainConfigurator()`
`AbstractDynamicBean` | `getForRole()`
`java.util.Map` | `getRoleDisplayNameMap()`
`abstract org.jboss.portal.identity.RoleModule` | `getRoleModule()`
`java.lang.String[]` | `getRoles()`
`protected abstract java.lang.String` | `getURI()`
`boolean` | `setActionsForRole(java.lang.String roleName, java.lang.String[] actions)`
`abstract java.lang.String` | `submit()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizationBean

    public AuthorizationBean()

Method Detail

### getForRole

    public AbstractDynamicBean getForRole()

### setActionsForRole

    public boolean setActionsForRole(java.lang.String roleName,
                                     java.lang.String[] actions)

### getActionsForRole

    public java.lang.String[] getActionsForRole(java.lang.String roleName)

### getRoles

    public java.lang.String[] getRoles()

### getRoleDisplayNameMap

    public java.util.Map getRoleDisplayNameMap()

### submit

    public abstract java.lang.String submit()

### cancel

    public abstract java.lang.String cancel()

### getRoleModule

    public abstract org.jboss.portal.identity.RoleModule getRoleModule()

### getDomainConfigurator

    public abstract DomainConfigurator getDomainConfigurator()

### getAvailableActions

    public abstract javax.faces.model.SelectItem[] getAvailableActions()

### getURI

    protected abstract java.lang.String getURI()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD